//
//  main.m
//  C2_分支结构
//
//  Created by Marry W. on 11/11/15.
//  Copyright (c) 2015 www.lanou3g.com 蓝鸥科技. All rights reserved.
//

#import <Foundation/Foundation.h>

// 枚举
enum seasons{
    // 将一些字符串和数字对应
    // 枚举值默认从0开始 向下逐行加1
    Spring = 1,
    Summer,
    Autumn,
    Winter
};

int main(int argc, const char * argv[]) {
    
    printf("%d\n", Autumn);
    
    /***** BOOL类型 *****/
    // 表示真假
    // 值: YES/NO
    // 计算时 系统会自动替换为1/0
    // 非0即为真
//    BOOL b1 = YES;
//    printf("b1: %d\n", b1);
    
    /***** 关系运算符 *****/
    // > >= < <= == !=
//    BOOL b2 = 5 > 3;
//    printf("b2: %d\n", b2);
//    BOOL b3 = 3 < 2 < 5;
//    printf("b3: %d\n", b3);
    
    /***** 逻辑运算符 *****/
    // 与(&&) 运算符左右两侧的表达式都为真 逻辑表达式为真
    // 或(||) 运算符左右两侧的表达式都为假 逻辑表达式为假
    // 非(!)  对当前的结果取反
//    BOOL b4 = 3 < 3 || 2 < 5;
//    printf("b4: %d\n", b4);
//    BOOL b5 = !(3 < 4);
//    printf("b5: %d\n", b5);
    // 短路
    // e1 && e2
    // 短路与 一假即假 e1为假时 e2的结果对整体没有影响 不会被执行
    // e1 || e2
    // 短路或 一真即真 e1为真时 e2的结果对整体没有影响 不会被执行
    
    /***** if语句 *****/
    // 1.如果...就...
//    if (如果看到卖西瓜的) {
//        买一个包子
//    }
//    if (5 > 3) {
//        printf("你真聪明\n");
//    }
    
    // 练习: 输入m, 打印男性
//    char c = 0;
//    scanf("%c", &c);
//    if ('m' == c) {
//        printf("男性\n");
//    }
    // 2.如果...就...否则...
//    if ('m' == c) {
//        printf("男性\n");
//    } else {
//        printf("女性\n");
//    }
    
    // 整行移动代码
    // Command + alt + []
    
    // 练习: 闰年判断
//    int year = 0;
//    printf("input a year:");
//    scanf("%d", &year);
//    BOOL cond1 = year % 400 == 0;
//    BOOL cond2 = year % 4 == 0 && year % 100 != 0;
//    if (cond1 || cond2) {
//        printf("闰年\n");
//    } else {
//        printf("平年\n");
//    }
//    if (year % 400 == 0 || (year % 4 == 0 && year % 100 != 0)) {
//        printf("闰年\n");
//    }
    
    // 3.如果...就...否则如果...就...
//    char key = 0;
//    printf("input:");
//    getchar();// 从键盘缓冲区获取\n 相当于消除
//    scanf("%c", &key);
//    if (key >= '0' && key <= '9') {
//        printf("数字\n");
//    } else if (key >= 'a' && key <= 'z') {
//        printf("小写字母\n");
//    } else if (key >= 'A' && key <= 'Z') {
//        printf("大写字母\n");
//    } else {
//        printf("其他字符\n");
//    }
    
    /***** switch...case... *****/
    // 多分支结构
//    int telephone = 0;
//    scanf("%d", &telephone);
//    // switch的条件中 必须填写整形表达式
//    switch (telephone) {
//        case 110:
//            telephone += 100;
//            printf("职规部\n");
//            break;// 停止当前case 如果没有 则会顺序向下执行下一个case
//        case 118:
//        case 119:
//            printf("教学部\n");
//            break;
//        case 120:
//        {
//            // case定义变量时 必须加括号约束
//            int a = 100;
//            a += 100;
//            printf("行政部\n");
//            break;
//        }
//        case 12580:
//            printf("市场部\n");
//            break;
//        case 10086:
//            printf("总经理办公室\n");
//            break;
//        default:
//            printf("有关部门\n");
//            break;
//    }
    
    // 枚举和switch配合使用
    // 练习: 从控制台输入1~4，对应打出 春夏秋冬的 英文单词。
//    int season = 0;
//    scanf("%d", &season);
//    switch (season) {
//        case Spring:
//            printf("Spring\n");
//            break;
//        case Summer:
//            printf("Summer\n");
//            break;
//        case Autumn:
//            printf("Autumn\n");
//            break;
//        case Winter:
//            printf("Winter\n");
//            break;
//        default:
//            break;
//    }
    
    // 分支的嵌套
//    if (<#condition#>) {
//        if (<#condition#>) {
//            <#statements#>
//        }
//    } else {
//        if (<#condition#>) {
//            <#statements#>
//        }
//    }
    
    // x目运算符
    // 条件运算符(三目) e1 ? e2 : e3;
    // e1结果为真 返回饿e2 如果为假 返回e3
    int a = 3, b = 5, max = 0;
    max = a > b ? a : b;
    int c = 7;
    max = max > c ? max : c;
    printf("%d\n", max);
    
    
    
    return 0;
}







